import api from '@/utils/request';

// export const login = params =>
//   api.post(`/vue-admin-template/user/login`, params);
// export const getInfo = params =>
//   api.get(`/vue-admin-template/user/info`, { token: params });
// export const logout = params =>
//   api.post(`/vue-admin-template/user/logout`, params);

export const login = params =>
  api.post(`/yxl-back-end/framework/uiac/admin/sign-in`, params);
export const getInfo = params =>
  api.get(`/yxl-back-end/framework/uiac/admin/myself`, { token: params });
export const logout = params =>
  api.post(`/yxl-back-end/framework/uiac/admin/logout`, params);

export const getImgCode = params =>
  api.get(`/yxl-back-end/framework/uiac/admin/mobile-number-sms/img-code`, params);
export const getSMSCode = params =>
  api.post(`/yxl-back-end/framework/uiac/admin/mobile-number-sms/send-code`, params);
